
public class RekursionsTest {
	public static void main (String[] args) {
		if (args.length != 1) {
			System.out.println ("Geben Sie bei Programmaufruf eine ganze Zahl ein:");
			System.exit (1);
		}
		
		// Das Argument in eine Zahl vom Typ long umwandeln
		long zahl = Long.parseLong(args[0]);

		System.out.println ("Die (rekursiv berechnete) Fakultaet von " + zahl + " ist " + Fakultaet.fakultaetRekursiv(zahl) );
		System.out.println ("Die (iterativ berechnete) Fakultaet von " + zahl + " ist " + Fakultaet.fakultaetIterativ(zahl) );

		System.out.println ("Die (rekursiv berechnete) Summe von " + zahl + " ist " + Summiere.summiereRekursiv(zahl) );
		System.out.println ("Die (iterativ berechnete) Summe von " + zahl + " ist " + Summiere.summiereIterativ(zahl) );
		
		System.out.println ("Die (rekursiv berechnete) Fibonacci-Wert von " + zahl + " ist " + Fibonacci.fibRekursiv(zahl) );
		System.out.println ("Die (iterativ berechnete) Fibonacci-Wert von " + zahl + " ist " + Fibonacci.fibIterativ(zahl) );
	}
}